# Uses of Interface
org.opensaml.xmlsec.signature.Exponent

Packages that use Exponent
Package
Description
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of Exponent in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return Exponent
Modifier and Type
Method
Description
`Exponent`
RSAKeyValue.`getExponent()`
Get the Exponent child element.
Methods in org.opensaml.xmlsec.signature with parameters of type Exponent
Modifier and Type
Method
Description
`void`
RSAKeyValue.`setExponent(Exponent newExponent)`
Set the Exponent child element.

## Uses of Exponent in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement Exponent
Modifier and Type
Class
Description
`class`
`ExponentImpl`
Concrete implementation of `Exponent`.
Fields in org.opensaml.xmlsec.signature.impl declared as Exponent
Modifier and Type
Field
Description
`private Exponent`
RSAKeyValueImpl.`exponent`
Exponent child element value.
Methods in org.opensaml.xmlsec.signature.impl that return Exponent
Modifier and Type
Method
Description
`Exponent`
ExponentBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`Exponent`
ExponentBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Exponent`
RSAKeyValueImpl.`getExponent()`
Get the Exponent child element.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type Exponent
Modifier and Type
Method
Description
`void`
RSAKeyValueImpl.`setExponent(Exponent newExponent)`
Set the Exponent child element.